0°

Spring Cloud与Spring Boot版本匹之间的关系

由于学习的起步较晚,创建项目的时候一直采用的都是较新的springboot,用的2.0.2.RELEASE版本。参照网上的示例进行实验的时候,有时候会才坑,特记录一二以备忘

首先就是SpringBoot和Cloud之间的版本关系。

由于网上的引入feign的时候都是必须指定cloud版本为Dalston SR1,否则下载的依赖都是为unknown。但是替换为Dalston SR1之后,启动的时候和2.0.2的springboot相冲突

特查询了两者之间的对应关系。

二者的对应关系为

参考文档的链接:https://blog.csdn.net/yyzc2/article/details/79299805

 

「点点赞赏,手留余香」

    还没有人赞赏,快来当第一个赞赏的人吧!